VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::boot::Device Interface Reference

The `Device` interface provides methods for configuring the device order used when booting a virtual machine. More...

Inherited by vmware::vcenter::vm::hardware::boot::DeviceStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | Get (string vm)
| Returns an ordered list of boot devices for the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | Get (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns an ordered list of boot devices for the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > > | GetAsync (string vm)
| Returns an ordered list of boot devices for the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > > | GetAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns an ordered list of boot devices for the virtual machine.
void | Set (string vm, global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > devices)
| Sets the virtual devices that will be used to boot the virtual machine.
void | Set (string vm, global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > devices, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sets the virtual devices that will be used to boot the virtual machine.
global::System.Threading.Tasks.Task | SetAsync (string vm, global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > devices)
| Sets the virtual devices that will be used to boot the virtual machine.
global::System.Threading.Tasks.Task | SetAsync (string vm, global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > devices, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sets the virtual devices that will be used to boot the virtual machine.

## Detailed Description

The `Device` interface provides methods for configuring the device order used when booting a virtual machine.

The boot order may be specified using a mixture of device classes and device instances, chosen from among the following:

- Device.Type.CDROM : Boot from a virtual CD-ROM drive; the device instance(s) will be chosen by the BIOS subsystem.
- Device.Type.FLOPPY : Boot from a virtual floppy drive; the device instance(s) will be chosen by the BIOS subsystem.
- Device.Type.DISK : Boot from a virtual disk device; the device instance is specified explicitly in Device.Entry.disks list, and multiple instances may be specified in the list.
- Device.Type.ETHERNET : Boot from a virtual Ethernet adapter; the device instance is specified explicitly as Device.Entry.nic , and multiple adapters may be specified in the boot order list.

## Member Function Documentation

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry> vmware::vcenter::vm::hardware::boot::Device::Get | ( | string | vm | ) |

Returns an ordered list of boot devices for the virtual machine.

If the list is empty, the virtual machine uses a default boot sequence.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Ordered list of configured boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry> vmware::vcenter::vm::hardware::boot::Device::Get | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns an ordered list of boot devices for the virtual machine.

If the list is empty, the virtual machine uses a default boot sequence.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Ordered list of configured boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry> > vmware::vcenter::vm::hardware::boot::Device::GetAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns an ordered list of boot devices for the virtual machine.

If the list is empty, the virtual machine uses a default boot sequence.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Ordered list of configured boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry> > vmware::vcenter::vm::hardware::boot::Device::GetAsync | ( | string | vm | ) |

Returns an ordered list of boot devices for the virtual machine.

If the list is empty, the virtual machine uses a default boot sequence.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Ordered list of configured boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

void vmware::vcenter::vm::hardware::boot::Device::Set | ( | string | vm,
|  | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | devices
| ) |  |

Sets the virtual devices that will be used to boot the virtual machine.

The virtual machine will check the devices in order, attempting to boot from each, until the virtual machine boots successfully. If the list is empty, the virtual machine will use a default boot sequence. There should be no more than one instance of Device.Entry for a given device type except Device.Type.ETHERNET in the list.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found, or if any of the specified virtual devices is not found.
  vmware.vapi.std.errors.InvalidArgument | if a any of the CDROM, DISK, ETHERNET, FLOPPY values appears in more than one `Device.Entry` with the exception of Device.Type.ETHERNET , which may appear multiple times if the virtual machine has been configured with multiple Ethernet adapters.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  devices | Ordered list of boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

void vmware::vcenter::vm::hardware::boot::Device::Set | ( | string | vm,
|  | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | devices,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Sets the virtual devices that will be used to boot the virtual machine.

The virtual machine will check the devices in order, attempting to boot from each, until the virtual machine boots successfully. If the list is empty, the virtual machine will use a default boot sequence. There should be no more than one instance of Device.Entry for a given device type except Device.Type.ETHERNET in the list.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found, or if any of the specified virtual devices is not found.
  vmware.vapi.std.errors.InvalidArgument | if a any of the CDROM, DISK, ETHERNET, FLOPPY values appears in more than one `Device.Entry` with the exception of Device.Type.ETHERNET , which may appear multiple times if the virtual machine has been configured with multiple Ethernet adapters.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  devices | Ordered list of boot devices.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::boot::Device::SetAsync | ( | string | vm,
|  | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | devices,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Sets the virtual devices that will be used to boot the virtual machine.

The virtual machine will check the devices in order, attempting to boot from each, until the virtual machine boots successfully. If the list is empty, the virtual machine will use a default boot sequence. There should be no more than one instance of Device.Entry for a given device type except Device.Type.ETHERNET in the list.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found, or if any of the specified virtual devices is not found.
  vmware.vapi.std.errors.InvalidArgument | if a any of the CDROM, DISK, ETHERNET, FLOPPY values appears in more than one `Device.Entry` with the exception of Device.Type.ETHERNET , which may appear multiple times if the virtual machine has been configured with multiple Ethernet adapters.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  devices | Ordered list of boot devices.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::boot::Device::SetAsync | ( | string | vm,
|  | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | devices
| ) |  |

Sets the virtual devices that will be used to boot the virtual machine.

The virtual machine will check the devices in order, attempting to boot from each, until the virtual machine boots successfully. If the list is empty, the virtual machine will use a default boot sequence. There should be no more than one instance of Device.Entry for a given device type except Device.Type.ETHERNET in the list.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found, or if any of the specified virtual devices is not found.
  vmware.vapi.std.errors.InvalidArgument | if a any of the CDROM, DISK, ETHERNET, FLOPPY values appears in more than one `Device.Entry` with the exception of Device.Type.ETHERNET , which may appear multiple times if the virtual machine has been configured with multiple Ethernet adapters.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  devices | Ordered list of boot devices.

Implemented in vmware::vcenter::vm::hardware::boot::DeviceStub.

The documentation for this interface was generated from the following file:

- Device.cs